Skip to Content
Native devices

Send a command to a tablet or kiosk

Zugriff

Mitglied der Organisation mit dieser Berechtigung:

  • native-devices:write

Ein API-Schlüssel mit Scopes braucht die Berechtigung auch in seinen Scopes.

POST
/orgs/{organizationId}/native-devices/{id}/command

identify shows the device's name on its screen; reload restarts the app; playSound plays the https audio file in url. Only reaches devices that are online.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string
Length1 <= length

Request Body

application/json
  1. body
command*string
Value in"identify""reload""update""wake""sleep""testSleep""reboot""testSound""playSound""screenshot"
url?|

Response Body

OK

application/json
  1. response
success*unknown
Example Request
curl -X POST 'https://api.tillor.eu/orgs//native-devices/string/command' \  -H 'Content-Type: application/json' \  -d '{  "command": "identify"}'
Example Response
{  "success": true}